import React from 'react';
export interface IPropsButtonsGroupOption extends React.ComponentProps<any> {
    name: string | JSX.Element;
    value?: any;
}
export interface IPropsButtonsGroup extends React.ComponentProps<any> {
    options: IPropsButtonsGroupOption[];
    name?: any;
    multiSelection?: boolean;
    allowEmpty?: boolean;
    title?: string;
    value?: any;
    onSelect?: (value?: any, option?: IPropsButtonsGroupOption) => void;
    error?: string;
    variant?: 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'dark' | 'light' | 'link';
    bgColor?: string;
    oneLine?: boolean;
    rounded?: boolean;
    separate?: boolean;
    fullLine?: boolean;
    activeBtnStyle?: any;
    activeTextStyle?: any;
    inactiveBtnStyle?: any;
    inactiveTextStyle?: any;
}
export declare function getValue(data: any, multiSelection?: boolean): any;
//# sourceMappingURL=ButtonGroup.interface.d.ts.map